﻿@model ProyectoLenguajes.Models.ApplicationUser
@{
    ViewData["Title"] = "Upsert";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var title = "Create User";
}


<form method="post" class="border col-12" enctype="multipart/form-data">
    <div class="row p-3">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

        @if(Model.Id != "0")
        {
            title = "Edit User";
        }
    <div class="col-12 border-bottom">
        <h2 class="text-info">@title</h2>
        <input type="hidden" asp-for="Id" />
    </div>
    <div class="col-5 pt-4">
        <div class="form-group row col-12">
            <div class="col-3">
                <label asp-for="Name"></label>
            </div>
            <div class="col-9">
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
        </div>

        <div class="form-group row col-12">
            <div class="col-3">
                <label asp-for="Email"></label>
            </div>
            <div class="col-9">
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
        </div>


        <div class="form-group row col-12">
            <div class="col-3">
                <label asp-for="City"></label>
            </div>
            <div class="col-9">
                <input asp-for="City" class="form-control" />
                <span asp-validation-for="City" class="text-danger"></span>
            </div>
        </div>

        <div class="form-group row col-12">
            <div class="col-3">
                <label asp-for="State"></label>
            </div>
            <div class="col-9">
                <input asp-for="State" class="form-control" />
                <span asp-validation-for="State" class="text-danger"></span>
            </div>
        </div>

        <div class="form-group row col-12">
            <div class="col-3">
                <label asp-for="StreetAdress"></label>
            </div>
            <div class="col-9">
                <input asp-for="StreetAdress" class="form-control" />
                <span asp-validation-for="StreetAdress" class="text-danger"></span>
            </div>
        </div>






    </div>
      
    </div>
    <div class="col-12 mb-3 offset-4">
        @if (Model.Id != null)
        {
            <div class="col-4 justify-content-center">
                <partial name="_EditBackButtons" model="Model.Id" />
            </div>
        }
        else
        {
            <div class="row col-4 justify-content-center">
                <div class="col">
                    <button type="submit"  class="btn btn-primary form-control">Create</button>
                </div>
                <div class="col">
                    <a asp-action="Index" class="btn btn-success form-control">Back to List</a>
                </div>
            </div>
        }
    </div>
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
   

   
}
